# pb_ds::container_traits_base< splay_tree_tag > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct pb_ds::container_traits_base< splay_tree_tag >

Definition at line 201 of file tag_and_trait.hpp.

## Public Types

- enum { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
- typedef splay_tree_tag container_category
- typedef range_invalidation_guarantee invalidation_guarantee

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp